img-jpeg(3tk)

NAME
img-jpeg - Joint Picture Expert Group format (jpeg)

SYNOPSIS
package require img::jpeg ?2.1?

DESCRIPTION
package require img::jpeg

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Joint Picture Expert Group format (jpeg). More specifically img::jpeg extends Tk's photo [https://www.tcl.tk/man/tcl9.0/TkCmd/photo.html] image type.

The name of the new format handler is jpeg. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like image create photo ?name? ?options?

[1] Image data in jpeg format (options -data and -file) is detected automatically.

[2] The format name jpeg is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::jpeg is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::jpeg.

NOTES

[1] Chapter Image Metadata of the Img manual page describes the parameters of the resolution related options.

OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing. Available since version 2.0.

    If set to true, additional information about the read or written image is printed to stdout. Default is false.

-fast
    This option is supported for reading only. Available since version 1.2.4.

    If specified, it activates a processing mode which is fast, but provides only low-quality information.

-grayscale
    This option is supported for reading and writing. Available since version 1.2.4.

    Usage of this option forces incoming images to grayscale and written images will be monochrome.

-optimize
    This option is supported for writing only. Available since version 1.2.4.

    If specified, it causes the writer to optimize the Huffman table used to encode the JPEG coefficients.

-progressive
    This option is supported for writing only. Available since version 1.2.4.

    If specified, it causes the creation of a progressive JPEG file.

-quality n
    This option is supported for writing only. Available since version 1.2.4.

    It specifies the compression level as a quality percentage. The higher the quality, the less the compression. The nominal range for n is 0...100. Useful values are in the range 5...95. The default value is 75.

-smooth n
    This option is supported for writing only. Available since version 1.2.4.

    When used the writer will smooth the image before performing the compression. Values in the 10...30 are usually enough. The default is 0, i.e no smoothing.

-resolution xres ?yres?
    This option is supported for writing only. Available since version 2.0.

    Set the resolution values of the written image file. If yres is not specified, it is set to the value of xres.

    If option is not specified, the DPI and aspect values of the metadata dictionary are written. If no metadata values are available, no resolution values are written.

-xresolution xres
    This option is supported for writing only. Available since version 2.0.

    Set the horizontal resolution value of the written image file.

-yresolution yres
    This option is supported for writing only. Available since version 2.0.

    Set the vertical resolution value of the written image file.

SEE ALSO
img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

COPYRIGHT
Copyright (c) 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright (c) 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright (c) 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>